### Method

# Camel NameValueArray append

since: 3.24

#### Declaration [src]

    void
    camel_name_value_array_append (
      CamelNameValueArray* array,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Appends a new element of the name `name` and the value `value` at the end of `array`.

See: camel_name_value_array_set_named.

Available since: 3.24

#### Parameters

`name`

  Type: `const gchar*`

  A name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.